Loading...
Searching...
No Matches
TriaxialGeodesicODE.hpp File Reference

Header for GeographicLib::Triaxial class. More...

`#include <vector>`
`#include <array>`
`#include <utility>`
`#include <GeographicLib/Constants.hpp>`
`#include <GeographicLib/Angle.hpp>`
`#include <GeographicLib/Triaxial/Ellipsoid3.hpp>`
`#include <boost/numeric/odeint.hpp>`
`#include <boost/numeric/odeint/stepper/bulirsch_stoer.hpp>`

Go to the source code of this file.

## Classes

class | GeographicLib::experimental::TriaxialGeodesicODE
| The ODE solution of direct geodesic problem for triaxial ellipsoids. More...

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.
namespace | GeographicLib::experimental
| Namespace for experimental components of GeographicLib.

## Macros

#define | GEOGRAPHICLIB_BOOST_ODE_DENSE_OUT 1

## Detailed Description

Header for GeographicLib::Triaxial class.

Copyright (c) Charles Karney (2024-2025) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file TriaxialGeodesicODE.hpp.

## Macro Definition Documentation

## GEOGRAPHICLIB_BOOST_ODE_DENSE_OUT

#define GEOGRAPHICLIB_BOOST_ODE_DENSE_OUT 1

Definition at line 27 of file TriaxialGeodesicODE.hpp.